var windowId,proName = window.location.pathname.split("/")[1],sysUrl = "http://"+window.location.host+"/"+proName,toEdit;
//var result=[12,11,10,9,8,7,6,5,4,3,2,1];
//var result=["12月","11月","10月","09月","08月","07月","06月","05月","04月","03月","02月","01月"];
var treeSelectId = "-1";
$(function(){
	initCountTime();
	$("#datetimeStart").datebox("setValue",$.getTodayStart(0,"00:00:00"));
	$("#datetimeEnd").datebox("setValue",$.getTodayEnd("23:59:59"));
	
	initTree();	
	initGrid();	
});
		
function initTree() {
    $.ajax({
        type: 'post',
        dataType: 'json',
        url: 'ptxzsAction!query_PtxzsTree.do',
        data: {
            order: " order by jdpx asc "
        },
        success: function (data) {
            var setting = {
                data: {
                    key: {title: "name"}
                },
                callback: {
                    onClick: zTreeOnClick
                }
            };
            if (data) {
                $.fn.zTree.init($("#deviceName"), setting, data);
            }
        }
    });

}

function zTreeOnClick(event, treeid, treeNode) {
    treeSelectId = treeNode.id;
}
//加载列表
function initGrid(){	
	toolbar = [
	      {
		        text:'统计列表',
		        iconCls:'icon-search',
		        handler:function(){
		        	showList();
		        }
	      
	      },{
				text:"导出",
				iconCls:"icon-search",
				handler:function(){
					showExport();
				}
		   },{
			    text:"计算公式",
				iconCls:"icon-search",
				handler:function(){
					lookJsgs();
				}
		   }
	];
	showList();
}

//加载统计时间
function initCountTime(){
	var flag=false;
	var date=new Date();
	var year=date.getFullYear();
	var month=date.getMonth()+1;
	var str=year+"年"+(month<10?"0"+month:month)+"月";
	var result=[12,11,10,9,8,7,6,5,4,3,2,1];
	result=result.filter(function(value){
		if(month==value){
			flag=true;
		}
		if(flag){
			if(value<10){
				return "0"+value;
			}else{
				return ""+value;
			}
		}
	});
	$.each(result,function(i,v){
		if(result[i]<10){
			result[i]=year+"年0"+result[i]+"月";
		}else{
			result[i]=year+"年"+result[i]+"月";
		}
	});
	result.unshift("自定义时间");
	$('#countTime').combobox({  
		data : $.obj2ary(result),  
		textField:1,  
		valueField:0,
		panelWidth:148,
		value:str,
		onSelect:function(record){
			var value=record[1].trim();
			if(value=='自定义时间'){
				$("#controlDate").show();
			}else{
				$("#controlDate").hide();
			}
		}
	});
}
/*function initCountTime(){
		var flag=false;
		var date=new Date();
		var year=date.getFullYear();
		var month=date.getMonth()+1;
		var str=year+"年"+month+"月";
		result=result.filter(function(value){
			if(month==value){
				flag=true;
			}
			if(flag){
				if(value<10){
					return "0"+value;
				}else{
					return ""+value;
				}
			}
		});
		$.each(result,function(i,v){
			result[i]=year+"年"+result[i]+"月";
		});
		result.unshift("自定义时间");
		$('#countTime').combobox({  
			data : $.obj2ary(result),  
			textField:1,  
			valueField:0,
			panelWidth:148,
			value:str,
			onSelect:function(record){
				var value=record[1].trim();
				if(value=='自定义时间'){
					$("#controlDate").show();
				}else{
					$("#controlDate").hide();
				}
			}
		});
}*/



$.extend($.fn.datagrid.methods,
		{
	renderAlarmOverviewData:function(n, g, h){
		 var m = n.parent(".datagrid-view:eq(0)"),c;
         var k = m.prev("div").append("<table cellspacing=0 cellpadding=0 style='display:inline-block;height:26px;float:right;'><tbody><tr/></tbody></table>").children("table:eq(1)").find("tbody tr");
         var b = m.parent().height();
         var o = m.parent().width();
         if (!m.next("div.imgcontainer").html()) {
             c = $("<div class='imgcontainer' style='overflow-y:auto; width:99%;height:" + (b - 70) + "px;'></div>");
             m.after(c)
         } else {
             c = m.next("div.imgcontainer")
         }
         if (!g) {
             return
         }
         var f = 0,l = [],e,d,
         j = this;
         var nowTime = getNowTime("-");
         var TABLE='<table  cellspacing="0"  width="90%"  cellpadding="0"  border="1"  align="center"  style="text-align:center;margin:0 auto;	border:1px solid #827d7d;">\
		           				<thead>\
						        	 <tr  style="height: 40px;">\
										<td colspan="9" style="font-size:14px;font-weight:bold;border:none">区域一机一档监控设备情况统计</td>\
									</tr>\
						     		<tr  style="border-top: 1px solid #827d7d;">\
										<td colspan="9" style="text-align:right;border:none;padding: 15px;">制表时间：'+getCurrtentTime()+'</td>\
									</tr>\
									<tr    style="font-size: 12px;">\
		           						<td>序号</td>\
	    	 							<td>行政区划</td>\
	    	 							<td>点位总数</td>\
	    	 							<td>上图率</td>\
	    	 							<td>上图率排名</td>\
	    	 							<td>完整率</td>\
	    	 							<td>完整率排名</td>\
	    	 							<td>新增联网</td>\
	    	 							<td>社会相机量</td>\
		           					</tr>\
			           			</thead>\
        	 	<tbody>'
		
   		 var total = g.totalSize;
         if(total!=null && total>0){
        	 for (; (g.data[f]); f++) {
//            	 console.log(g.data[f]);
            	 var socialmonitorcount = g.data[f].socialmonitorcount;            	
            	 socialmonitorcount = socialmonitorcount==null?"":socialmonitorcount;
            	 var areaname = g.data[f].areaname==null?"": g.data[f].areaname;
            	 var onmaprate = g.data[f].onmaprate==null?"":g.data[f].onmaprate;
            	 var completerate = g.data[f].completerate==null?"":g.data[f].completerate;
            	 var stlpm = g.data[f].stlpm==null?"":g.data[f].stlpm;
            	 var wzlpm = g.data[f].wzlpm==null?"":g.data[f].wzlpm;
            	 
            	TABLE+='<tr>\
    		        		<td>'+(f+1)+'</td>\
    				 		<td>'+areaname+'</td>\
    				 		<td>'+g.data[f].monitortotal+'</td>\
    				 		<td>'+onmaprate+'</td>\
    				 		<td>'+stlpm+'</td>\
    				 		<td>'+completerate+'</td>\
    				 		<td>'+wzlpm+'</td>\
    				 		<td>'+g.data[f].newnetwork+'</td>\
    				 		<td>'+socialmonitorcount+'</td>\
            	 		 <tr>'
             }
         }else{
        	 TABLE+="<tr><td colspan='9'>暂无数据</td></tr>";
         }
         
		TABLE+='</tbody></table> '
         c.html('<div class="img-box"  style="margin:0 auto;">'+ TABLE+'</div>')
     }
});

//查询条件
function getQueryParams(){
	var sParam = {};
	var countTime = $('#countTime').combobox("getText");
	var datetimeStart = $('#datetimeStart').datebox("getValue");
	var datetimeEnd = $('#datetimeEnd').datebox("getValue");


	var countMonth = "";
	var countDateStart = "";
	var countDateEnd = "";
	if(treeSelectId == '-1'){				// 本地目录
		treeSelectId = "";
	}
	if("自定义时间"==countTime){
//		sParam.countMonth = $("#datetime").datebox("getValue");	
		countDateStart = datetimeStart;
		countDateEnd = datetimeEnd;
	}else{
		sParam.countMonth = countTime.replace("年","-").replace("月","");
	}
	/*
	if(countTime.indexOf("年") != -1){				// 是当前月份
		var date=new Date();
		var year=date.getFullYear();
		var month=date.getMonth()+1;
		if(month < 10){
			countMonth = year + "-0" + month;
		}else{
			countMonth = year + "-" + month;
		}
	}else if(countTime == 0){				// 自定义时间
//		countDateStart = datetimeStart.substring(0,10);
//		countDateEnd = datetimeEnd.substring(0,11);
		countDateStart = datetimeStart;
		countDateEnd = datetimeEnd;
	}else{
		countMonth = result[countTime];
		countMonth = countMonth.replace("年","-").replace("月","-");
		countMonth = countMonth.substring(0,countMonth.length-1);
	}
	*/
	sParam.countDateStart = countDateStart;
	sParam.countDateEnd = countDateEnd;
//	sParam.countMonth = countMonth;
	sParam.areanum = treeSelectId;
//	console.log("查询：",sParam);
	sParam.order = " order by updateTime desc"
	return sParam;
}

function getCurrtentTime(){
	var date = new Date();
	var year = date.getFullYear();
	var month = date.getMonth()+1;
	var day = date.getDate();
	var hour = date.getHours();
	var minute = date.getMinutes();
	var second = date.getSeconds();
	if(month<10){
		month = "0"+month;
	}
	if(day<10){
		day = "0"+day;
	}
	if(hour<10){
		hour = "0"+hour;
	}
	if(minute<10){
		minute = "0"+minute;
	}
	if(second<10){
		second = "0"+second;
	}
	console.log(year + "-" + month + "-" + day + " " + hour + ":" + minute + ":" + second);
	return year + "-" + month + "-" + day + " " + hour + ":" + minute + ":" + second; 
}
//列表展示
function showList(){
	$("#searchGridListDiv").show();
	$("#searchGridPicDiv").hide();
	displayType = "list";
	$('#searchGridList').datagrid({
		toolbar : toolbar,
		bodyCls:'pic-datagrid',
		rownumbers:true,
		queryParams:getQueryParams(),
		url : 'ywcountvideoarchiveAction!listYwcountvideoarchiveByPage.do',
		columns : [[
			{field:'areanum',title:'行政区划编号',hidden:false,width:120},
			{field:'areaname',title:'行政区划名称',hidden:false,width:120},
			{field:'countDate',title:'统计日期',hidden:false,width:80},
			{field:'monitortotal',title:'监控点总数',hidden:false,width:75},
			{field:'onmaprate',title:'上图量',hidden:false,width:50},
			{field:'onmapraterank',title:'上图率排名',hidden:false,width:75},					
			{field:'completerate',title:'完整量',hidden:false,width:70},
			{field:'completeraterank',title:'完整率排名',hidden:false,width:75},
			{field:'newnetwork',title:'新增联网',hidden:false,width:75},
			{field:'socialmonitorcount',title:'社会相机',hidden:false,width:75},
			
			{field:'networkcount',title:'已联网数量',hidden:true,width:120},
			{field:'notnetworkcount',title:'未联网数量',hidden:true,width:120},
			{field:'firstmonitorcount',title:'一类视频监控点数量',hidden:true,width:120},
			{field:'secondmonitorcount',title:'二类视频监控点数量',hidden:true,width:120},
			{field:'thirdmonitorcount',title:'三类视频监控点数量',hidden:true,width:120},
			{field:'policemonitorcount',title:'公安内部监控点数量',hidden:true,width:120},
		]],
		onLoadSuccess:function(data){
//	    	  console.log("data",data)
			if(data){
				data.data=data.rows;
				data.totalSize=data.total;
				$('#searchGridList').datagrid("renderAlarmOverviewData",data);
			}
		},

	});	
}



function showExport(){

	var model = getQueryParams();
	$.ajax({
		type : 'post',
		dataType : 'json',
		data : model,
		url : 'ywcountvideoarchiveAction!count_Ywcountvideoarchive.do',
		success : function(value) {
			if(value==0){
				$.showMsg("暂无数据！");								
			}else if(value){
				countExport(value);
			}else{
				$.showMsg("操作失败！");
			}
		}
	});
}
//导出传参条件
function countExport(totalSize) {
	var limit = 5000;
	if (totalSize > 5000) {
		top.$.dlg.confirm('记录过多支持前5000条,确定要将记录导出Excel为表格吗?',function(){ 
			execExport();
		});		
	} else {
		top.$.dlg.confirm('确认导出?',function(){ 
			execExport();
		})
	}
}
// 调用后台
function execExport() {
	var model = getQueryParams();
	var downParam = "";
	
	var countDateStart = model.countDateStart;
	var countDateEnd = model.countDateEnd;
	var countMonth = model.countMonth;
	var areanum = model.areanum;
	
	downParam = "areanum="+areanum+"&countMonth="+countMonth+"&countDateStart="+countDateStart+"&countDateEnd="+countDateEnd;
	
	document.excelForm.action = 'ywcountvideoarchiveAction!excel_Ywcountvideoarchive.do?'+downParam;
	document.excelForm.submit(); 
}


function lookJsgs(index) {
	windowId = top.$.createWin({
		title : '计算公式',
		width  :  '400',
		height :  '200',
		url : sysUrl+"/yw/operationcount/videoarchivecount/yjyd/lookJsgs.jsp"
	});
}


function getNowTime(flag){
	var date = new Date();
    var year = date.getFullYear();
    var month = date.getMonth() + 1;
    var day = date.getDate();
    var hour = date.getHours();
	var minute = date.getMinutes();
	var second = date.getSeconds();
	var minsec = date.getMilliseconds(); //获取当前毫秒数(0-999)
    month = month < 10 ? '0' + month : month;
    day = day < 10 ? '0' + day : day;
    hour = hour < 10 ? '0' + hour : hour;
    second = second < 10 ? '0' + second : second;
    if(flag == "-"){
    	return year +"-"+ month +"-"+ day +" "+ hour +":"+ minute +":"+ second;
    }else{
    	return "" + year + month + day + hour + minute + second + minsec;
    }
    
}